Skip to navigation

List access keys.

View as Markdown

Use to retrieve a list of S3-compatible access key credentials.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

namestringOptional
Filter results by name.
scopestringOptional

Filters results by scope. Returns only assets that belong to the specified scope. Mutually exclusive with includeDescendants. Valid values: tenant, cluster, department, project.

projectIdintegerOptional
Filter results by project id. If scope filter is project, only assets from the specific project will be included in the response. Otherwise, the response will include project, department, cluster, tenant and system assets.
departmentIdstringOptional
Filter results by department id. If scope filter is department, only assets from the specific department will be included in the response. Otherwise, the response will include department, cluster, tenant and system assets.
clusterIdstringOptionalformat: "uuid"

Filter results by Universally Unique Identifier (UUID) of the cluster. If scope filter is cluster, only assets from the specific cluster will be included in the response. Otherwise, the response will include cluster, tenant and system assets.

usageInfobooleanOptional
Whether the query should include asset usage information as part of the response.
statusInfobooleanOptional
Whether the query should include asset status information as part of the response.

Response

Request completed successfully.
entrieslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
503
Service Unavailable Error